#!/bin/bash

QT6=$(ls -d /opt/Qt/6.9.* | sort -V | tail -n 1 | rev | cut -d "/" -f1 | rev)

HERE="$(pwd)"
echo ${HERE}

if [[ -x "/opt/Qt/${QT6}/gcc_64/bin/qmake" ]]

then

  SOKVAG="/opt/Qt/${QT6}/gcc_64/bin"

else

	echo "Cannot find executable program files."
	exit 1

fi

${SOKVAG}/lconvert \
-locations none \
-no-obsolete \
-no-ui-lines \
-i _streamcapture2_sv_SE.ts \
-i _about_sv_SE.ts \
-i _downloadandremove_sv_SE.ts \
-i _libcheckupdate_sv_SE.ts \
-i _libcheckupdcli_sv_SE.ts \
-i _libselectfont_sv_SE.ts \
-i _libupdateappimage_sv_SE.ts \
-i _streamcapture2_sv_SE.ts \
-o _complete_sv_SE.ts



#${SOKVAG}/lrelease _complete_sv_SE.ts

#cp -f _complete_sv_SE.qm ../../code/i18n/


